榜店商城V4.0升级说明

2019-05-14

价格.jpg


禾匠-榜店商城V4.0版本上线在即,已购买过禾匠-榜店商城系统的小伙伴是新版免费送!新版免费送!新版免费送!(重要的事情说三遍)

注意:老版无法直接升级到新版,老版系统继续可保留使用。


操作流程如下:



Part

1

服务器环境准备


1、服务器支持操作系统:

Linux(CentOS/Ubuntu/Debian/Redhat)

官方推荐使用CentOS7.0 以上,不支持Windows操作系统。


2、Web服务器

支持Nginx/Apache,官方推荐使用Nginx


3、PHP要求版本7.2

PHP要求安装扩展(Swoole Loader、Redis、Reflection、PCRE、SPL、Ctype 、MBString 、OpenSSL 、Intl 、DOM 、MySQL PDO 、CURL 、Zip 、GD 、SMTP)。


4、MySQL支持版本:5.6/5.7

要求数据库引擎支持InnoDB,字符集要求支持utf8mb4


5、要求安装Redis数据库。


6、要求网站支持https访问。

https要求支持TLS1.2,证书建议使用阿里云或腾讯云的免费证书,兼容性好,其他证书可能会遇到微信不支持的情况。


7、服务器要求必须拥有超级管理员权限(不能虚拟主机),本商城需要运行后台队列服务。


服务器建议配置(基于阿里云ECS)

初级配置:

处理器(CPU)2核,运行内存(4G),磁盘可用空间(20G以上),带宽(4M);

中级配置:

处理器(CPU)4核,运行内存(8G),磁盘可用空间(40G以上),带宽(8M)。



Part

2

新版系统安装


老用户联系禾匠售前客服安装部署新版系统。

注意:

  • 新版要求比较高,有技术能力的可自行安装!

  • 没有技术能力的,禾匠提供收费服务,收费标准是:500元。


强烈建议付费让禾匠官方安装部署!避免浪费您宝贵的时间~


禾匠为新系统授权1个域名使用。老版系统已购的插件也将全部授权新系统使用。(相当于赠送一套新系统,老系统可以继续使用)。



Part

3

数据迁移


老系统商城基础数据迁移至新系统。支持单个商城数据导出


商城基础数据包含:

基础设置、商品数据、用户数据。

注:不含订单数据。


在小程序重新发布上线前,完成商城基础数据迁移。小程序重新发布后,数据直接进入新系统。

注:为避免数据迁移后产生新的订单数据,建议老系统中小程序微信支付设置为0。



1

为什么要重新安装,而不是后台一键更新升级?

答:

考虑到用户服务器上安装的部分应用模块不支持榜店v4.0版本所需服务器环境,导致无法一键更新升级。

如果强制将服务器配置升级到榜店V4.0所需要求很可能会导致其他开发者模块无法使用的情况。
重新安装一套新版榜店V4.0系统,可保留老版系统。既能享受新版本功能,也不会影响到老版本系统数据,更加不会影响到其他开发者模块的使用。


2

安装V4.0版商城系统后,当前的老系统还能使用吗?

答:

可以。新系统、老系统可以同时使用,如果客户量很大的 可以考虑老客户继续用老系统,新客户使用新系统。

201904011554089883971684.gif

本文链接:https://www.zjhejiang.com/site/news-detail?id=359

上一篇: 点企来客服系统版本更新V1.1.4正式发布!

下一篇: 点企来客服系统版本更新V1.1.3正式发布!

禾匠商城 © 浙江禾匠信息科技有限公司 | 浙ICP备 17020357号 | 增值电信业务经营许可证:浙B2-20181193
在线咨询
在线咨询
点企来客服
微信咨询
咨询
试用
4.0